Package org.eclipse.mat.ui.internal.diagnostics.actions

# Class J9JVMHeapDump

java.lang.Object
org.eclipse.mat.ui.internal.diagnostics.actions.J9JVMBase
org.eclipse.mat.ui.internal.diagnostics.actions.J9JVMHeapDump

All Implemented Interfaces:
  `DiagnosticsAction`

public class J9JVMHeapDump extends J9JVMBase
Request a heap dump on a J9 JVM

## Constructor Summary

Constructors
Constructor
Description
`J9JVMHeapDump()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(DiagnosticsProgress progress)`
Run the diagnostic action

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### J9JVMHeapDump

public J9JVMHeapDump()

## Method Details

### run

public void run(DiagnosticsProgress progress)
Description copied from interface: `DiagnosticsAction`
Run the diagnostic action

Parameters:
  `progress` - Use this to report progress and results to the user